TechDraw 3PtAngleDimension: Difference between revisions

From FreeCAD Documentation
mNo edit summary
(Description)
Line 24: Line 24:


<!--T:8-->
<!--T:8-->
The '''TechDraw 3PtAngleDimension''' tool adds a angular dimension to a View. The dimension may be specified by selecting three Vertices on a View.
The '''TechDraw 3PtAngleDimension''' tool adds an angular dimension to a View. The dimension shows the interior angle between three vertices.

<!--T:25-->
'''Note that the second of the three Vertices is the apex of the angle'''. The Angle3Pt will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D distance using the {{Button|[[Image:TechDraw_LinkDimension.svg|16px]] [[TechDraw_LinkDimension|TechDraw LinkDimension]]}} tool.


</translate>
</translate>
Line 33: Line 30:
<translate>
<translate>
<!--T:14-->
<!--T:14-->
{{Caption|Measuring the angle between two straight lines using three vertices; the second vertex should be the apex of the angle}}
{{Caption|Measuring the angle between three vertices; the second vertex is the apex of the angle}}


==Usage== <!--T:3-->
==Usage== <!--T:3-->

Revision as of 20:36, 25 July 2023

TechDraw 3PtAngleDimension

Menu location
TechDraw → Dimensions → Insert 3-Point Angle Dimension
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.18
See also
TechDraw AngleDimension

Description

The TechDraw 3PtAngleDimension tool adds an angular dimension to a View. The dimension shows the interior angle between three vertices.

Measuring the angle between three vertices; the second vertex is the apex of the angle

Usage

  1. Select the points or edge which define your measurement.
  2. Press the Insert 3-Point Angle Dimension button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.
  4. If needed, add tolerances as described on this page.

To change the properties of a dimension object either double-click it in the drawing or in the Tree view. This will open the dimension dialog.

Limitations

Dimension objects are vulnerable to the "topological naming problem". See TechDraw LengthDimension for more information.

Properties

See TechDraw LengthDimension.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

The 3-Point Angle Dimension tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle3Pt"
dim1.References2D=[(view1, 'Vertex1',(view1, 'Vertex4'),(view1, 'Vertex2'))]
rc = page.addView(dim1)